<template>
    <Form ref="form" v-slot="{ handleSubmit, values, meta }" :initialValues="initialValues">
         <div class="v-chart-account-form px-[40px] py-[30px]">
                    
            <div class="pt-[20px] text-blue-700 w-80">
                <b>
                <h2>Customer Information:</h2>
                </b>
            </div>

            <div class="grid gap-4 mb-4 md:grid-cols-4 mt-5">
                <div>
                    <Field name="nameKh" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                             Name kh <span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Name Kh" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="nameEn" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                             Name En <span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Name En" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="nickName" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                            Nick Name  <span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Name En" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="isSubAccount" type="radio" :value="true" :unchecked-value="false"
                        v-slot="{ value, errorMessage, handleChange }">
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                            Gender  <span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                            <el-radio label="1" :model-value="value" @update:model-value="handleChange" :disabled="isReadonly">
                                Male
                            </el-radio>
                            <el-radio  label="2" :model-value="value" @update:model-value="handleChange" :disabled="isReadonly">
                                Female
                            </el-radio>
                        </el-form-item>
                    </Field>
                </div>
            </div>
            
  
          <div class="grid gap-4 mb-4 md:grid-cols-4">
            <div>
                <Field name="nationality" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                       Nationality <span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Nationality" />
                    </el-form-item>
                </Field>
            </div>
            <div>
                <Field name="dob" v-slot="{ value, handleChange, errorMessage }" rules="required">
                    <label class="block mb-4 text-sm font-medium text-gray-900"> Date Of Birht<span class="sign">*</span>
                        <el-form-item :error="errorMessage">
                            <el-date-picker :model-value="value" @update:model-value="handleChange" class="mt-2"
                                size="large" style="width: 100%" type="date" placeholder="Select Date"
                                value-format="YYYY-MM-DD" format="DD/MM/YYYY" />
                        </el-form-item>
                    </label>
                </Field>
            </div>
                <div>
                    <Field name="idType" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                           ID Type <span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder="ID Type" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                  <Field name="idNo" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                      ID No<span class="sign"> *</span></label>
                    <el-form-item :error="errorMessage">
                      <el-input :model-value="value" @update:model-value="handleChange" placeholder="ID No" />
                    </el-form-item>
                  </Field>
                </div>
             </div>
  
             <div class="grid gap-4 mb-4 md:grid-cols-2">
             
              <div>
                <Field name="occupation" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                      Customer Relationship<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                      <el-input :model-value="value" @update:model-value="handleChange" placeholder="Customer Relationship" />
                    </el-form-item>
                  </Field>
              </div>
              <div>
                <Field name="houseNo" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                     Other Occupation<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                      <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Other Occupation" />
                    </el-form-item>
                  </Field>
              </div>
           </div>

           <div class="pt-[20px] text-blue-700 w-80">
                <b>
                    <h2>Loan Information:</h2>
                </b>
           </div>
           <div class="grid gap-4 mb-4 md:grid-cols-4 mt-5">
                    <div>
                        <Field name="companySessionId" type="text" v-slot="{ value, errorMessage, handleChange }" rules="required"
                        :items="projects" filterable>
                        <label class="block text-sm font-medium text-gray-900">Collateral Type <span class="sign">*</span>
                            <el-form-item :error="errorMessage">
                                <el-select @change="onFetchVendor" :disabled="isReadonly" :model-value="value"
                                    @update:model-value="handleChange" class="w-[100%] mt-2" placeholder="Select a Abbreviation "
                                  size="large" clearable>
                                  <el-option v-for="(item, i) in company" :key="i" :label="item.companyNameEn" :value="item.id" />
                                </el-select>
                            </el-form-item>
                        </label>
                  </Field>
                    </div>
                    <div>
                        <Field name="street" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                            <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                            Loan Amount<span class="sign">*</span></label>
                            <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder="Loan Amount" />
                            </el-form-item>
                        </Field>
                    </div>
                    <div>
                        <Field name="village" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                            <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                            Term(month)<span class="sign">*</span></label>
                            <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder="Term" />
                            </el-form-item>
                        </Field>
                    </div>
                    <div>
                        <Field name="Commune" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                            <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                            Payment Term<span class="sign">*</span></label>
                            <el-form-item :error="errorMessage">
                            <el-input :model-value="value" @update:model-value="handleChange" placeholder="Payment Term" />
                            </el-form-item>
                        </Field>
                    </div>
            </div>
            <div class="grid gap-4 mb-4 md:grid-cols-4">
                <div>
                    <Field name="District" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Loan Purpose<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Loan Purpose" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="Province" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Collateral No<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Collateral No" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="contractType" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Interest Rate<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Interest Rate" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name=" phoneNumber" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Admin Fee<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Admin Fee" />
                        </el-form-item>
                    </Field>
                </div>
        </div>

        <div class="grid gap-4 mb-4 md:grid-cols-4">
            <div>
                <Field name="phoneContract" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                    Phone Contract<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                    <el-input :model-value="value" @update:model-value="handleChange" placeholder="Phone Contract" />
                    </el-form-item>
                </Field>
            </div>
            <div>
                <Field name="email" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                    Email<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                    <el-input :model-value="value" @update:model-value="handleChange" placeholder="Email" />
                    </el-form-item>
                </Field>
            </div>
            <div>
                <Field name="faceBook" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                    Facebook<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                    <el-input :model-value="value" @update:model-value="handleChange" placeholder="Facebook" />
                    </el-form-item>
                </Field>
            </div>
            <div>
                <Field name=" telegram" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                    Telegram<span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                    <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Telegram" />
                    </el-form-item>
                </Field>
            </div>
     </div>

     <hr />

     <div class="pt-[20px] text-blue-700 w-80">
       <b>
         <h2>Persionality Information:</h2>
       </b>
     </div>
         <div class="grid gap-4 mb-4 md:grid-cols-4 mt-5">
                <div>
                    <Field name="healthStatus" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Health Status<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Health Status" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="charactor" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Charactor<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Charactor" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="education" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Education<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder="Education" />
                        </el-form-item>
                    </Field>
                </div>
                <div>
                    <Field name="gaming" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                        <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Gaming<span class="sign">*</span></label>
                        <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder=" TeleGaminggram" />
                        </el-form-item>
                    </Field>
                </div>
          </div>

        <div class="grid gap-4 mb-4 md:grid-cols-4">
            <div>
                <Field name="socialCommunication" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Social Communication <span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Social Communication" />
                    </el-form-item>
                </Field>
            </div>
           
            <div>
                <Field name="other" type="text" v-slot="{ value, errorMessage, handleChange }" filterable rules="required">
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Other  <span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                        <el-input :model-value="value" @update:model-value="handleChange" placeholder=" Other" />
                    </el-form-item>
                </Field>
            </div>
            <div>
                <Field name="gender" type="radio" :value="true" :unchecked-value="false"
                    v-slot="{ value, errorMessage, handleChange }">
                    <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                        Gender  <span class="sign">*</span></label>
                    <el-form-item :error="errorMessage">
                        <el-radio label="1" :model-value="value" @update:model-value="handleChange" :disabled="isReadonly">
                            Male
                        </el-radio>
                        <el-radio  label="2" :model-value="value" @update:model-value="handleChange" :disabled="isReadonly">
                            Female
                        </el-radio>
                    </el-form-item>
                </Field>
            </div>   

        
            <el-tabs type="card" v-model="activeName" class="rounded-lg " v-if="data?.data?.id">
            <el-tab-pane label="Balancesheet" name="claimhouse">
              <VBalancesheet :data="data" />
            </el-tab-pane>

          </el-tabs>
          
        </div>
        
        <div>
            <Field name="remark" type="text" v-slot="{ value, errorMessage, handleChange }" filterable>
                <label class="block mb-2 text-sm font-medium text-gray-900" :for="name">
                    Remark</label>
                <el-form-item :error="errorMessage">
                    <el-input :model-value="value" @update:model-value="handleChange" placeholder="Remark"
                        type="textarea" />
                </el-form-item>
            </Field>
        </div>
        <div class="pt-[20px] text-blue-700 w-80">
            <b>
                <h2>Finacial Analysis of Borrower:</h2>
            </b>
        </div>
        
        <VBalancesheet  />
            
            <div class="flex justify-center">
                <el-button v-if="!isReadonly" @click="handleSubmit($event, onSubmit(values, meta))"
                    class="bg-blue-700 hover:bg-blue-600 rounded-full ml-2 px-3 py-4 w-[100px]" size="large"
                    color="#1d4ed8">
                    Save
                </el-button>
            </div>
        </div>
    </Form>
  </template>
  <script>
  import {  ref } from "vue";
  import { Form, Field } from "vee-validate";
  import VBalancesheet from "./VBalancesheet.vue";
  
  export default {
    name: 'v-customer-evaluation-form',
    components: {
        Field,
        Form,
        VBalancesheet,
    },
    props: {
        data: {
            type: Object,
            default: () => ({}),
        },
        isEdit: {
            type: Boolean,
            default: false,
        },
    },
  
    emits: ["submit"],
    setup(props, { emit }) {
        const form = ref();
        const activeName = ref("claimhouse");
        const initialValues = props?.data || {};
  
  
        const onSubmit = (values, meta) => {
            if (meta.valid) {
                emit("submit", values);
            }
        };
  
        return {
            initialValues,
            form,
            onSubmit,
            activeName,
        }
    }
  }
  </script>